AMDUMP(8)

NAME
amdump - back up all disks in an Amanda configuration

SYNOPSIS

amdump [--no-taper] [--exact-match] [-o configoption...] config [host [disk...]...]

DESCRIPTION

Amdump is the main interface to the Amanda backup process. It loads the specified configuration and attempts to back up every disk specified by the disklist(5). Amdump is normally run by cron.

The command optionally takes a set of DLE specifications (see amanda-match(7)) to narrow the DLEs that will be dumped. All disks are dumped if no expressions are given.

If a file named hold exists in the configuration directory, amdump will wait until it is removed before starting the backups. This allows scheduled backups to be delayed when circumstances warrant, for example, if the tape device is being used for some other purpose. While waiting, amdump checks for the hold file every minute.

In some cases it is desirable to dump all Amanda clients to holding disk without writing anything to storage media. The --no-taper option instructs Amanda to not start the taper, and thus enter degraded mode immediately.

See the amanda(8) man page for more details about Amanda.

OPTIONS

host [disk]*
    Specify the host and disk on which the command will work -- see the description of DLE specifications in amanda-match(7).

--exact-match
    The host and disk are parsed as exact values

-o configoption
    See the "CONFIGURATION OVERRIDE" section in amanda(8).

EXAMPLE

Here is a typical crontab entry. It runs amdump every weeknight at 1 a.m. as user bin:
0 1 * * 1-5 bin /usr/local/sbin/amdump daily

Please see the crontab(5) or crontab(1) manual page for the correct crontab format for your system.

MESSAGES

amdump: waiting for hold file to be removed
    The "hold" file exists and amdump is waiting for it to be removed before starting backups.

amdump: amdump or amflush is already running, or you must run amcleanup
    Amdump detected another amdump or amflush running, or the remains of a previous incomplete amdump or amflush run. This run is terminated. If the problem is caused by the remains of a previous run, you must execute amcleanup(8) and then rerun amdump.

EXIT CODE
The exit code of amdump is the ORed value of:
 0  = success
 1  = error
 2  = a dle give strange message
 4  = a dle failed
 8  = Don't know the status of a dle (RESULT_MISSING in the report)
 16 = tape error or no more tape

SEE ALSO

amanda(8), amcheck(8), amcleanup(8), amrestore(8), amflush(8), cron(8), amanda-match(7)

The Amanda Wiki: : http://wiki.zmanda.com/

AUTHORS

James da Silva <jds@amanda.org>

Stefan G. Weichinger <sgw@amanda.org>